#fast wrapper script that recall scripts for PI and RK analysis
#firstly interpolate on common 2x2 grid hiresclim outputs
#hence computes RK08 diagnostics and finally produces
#global mean values for radiation and some selected fields

#Paolo Davini (ISAC-CNR) - <p.davini@isac.cnr.it> 
#December 2014

#Important: script folder and properties depend from config.sh file


if [ $# -ne 3 ]
then
  echo "Usage:   ./EC-mean.sh exp YEARSTART YEAREND"
  echo "Example: ./EC-mean.sh io01 1990 2000"
  exit 1
fi

# experiment name
exp=$1
# years to be processed
year1=$2
year2=$3

#setting up folder
cd scripts
. config.sh

#executing files
./post2x2.sh $exp $year1 $year2
./oldPI2.sh $exp $year1 $year2
./PI3.sh $exp $year1 $year2
#./global_mean.sh $exp $year1 $year2

#rearranging in a single table the PI from the old and the new versions
cat $OUTDIR/PIold_RK08_${exp}_${year1}_${year2}.txt $OUTDIR/PI2_RK08_${exp}_${year1}_${year2}.txt > out.txt
rm $OUTDIR/PI2_RK08_${exp}_${year1}_${year2}.txt $OUTDIR/PIold_RK08_${exp}_${year1}_${year2}.txt
mv out.txt $OUTDIR/PI2_RK08_${exp}_${year1}_${year2}.txt 

#deleting the 2x2 climatology to save space
rm $CLIMDIR/*.nc
rmdir $CLIMDIR

#finalizing
cd -
echo "table produced"
